import greenfoot.*;

public class Main extends Terminal
{
    Select select;
    int players = 0;
    int optionNum = -1, lastOptionNum;
    
    public Main()
    {
        super(Color.DARK_GRAY, Color.YELLOW);
        select = new Select(this);
        instruct();
    }
    
    /**
     * This method prints the instruction lines to the terminal
     */
    private void instruct()
    {
        printLine("Press 'i' for these instructions.");
        printLine("Press 'backspace' to clear screen.");
        printLine("Press 'enter' to set player count (password protected -- password is 'password').");
        printLine("Press 'escape' to secure (password is 'password')");
    }
    
    public void setOption(int option)
    {
        if (option >= 0)
        {
            switch(lastOptionNum)
            {
                case 0:
                    players = option+1; // sets the player count
                    printLine("Number of players:  "+players); // prints results to terminal
                    break;
            }
        }
        Greenfoot.setWorld(this); // activates this world
    }
    
    /**
     * Actions involve determining and acting upon specific keystrokes
     */
    public void act()
    {
        if (optionNum >= 0)
        {
            lastOptionNum = optionNum;
            optionNum = -1;
            select.runOption(lastOptionNum);
        }
        String key = Greenfoot.getKey();
        if (key == null) return; // no key detected
        if ("i".equals(key))instruct(); // prints instruction lines to terminal
        if ("backspace".equals(key)) clearScreen(); // clears the terminal
        if ("enter".equals(key)) optionNum = 0; // runs option world for editing number of players
        if ("escape".equals(key)) new Pass("password", "Application locked.", this); // goes to security world (auto-activated)
    }
}